API Reference
=============

The public API is exposed through ``aiopnsense.OPNsenseClient``. To make the
reference easier to navigate, the methods are grouped below by functional area.

.. toctree::
   :maxdepth: 1

   client
   firmware
   system
   telemetry
   traffic
   dhcp
   firewall
   services
   smart
   nut
   unbound
   vpn
   vnstat
   speedtest
   vouchers
   exceptions
